<?php

function my_load_scripts() {
  wp_enqueue_style( 'CSS_quivers',  plugin_dir_url(__FILE__) . '/assets/css/quivers.css');
}
add_action('admin_enqueue_scripts', 'my_load_scripts');


function add_theme_scripts() {
  global $woocommerce;
  if ( get_page_link() === $woocommerce->cart->get_checkout_url()) {
     wp_enqueue_script( 'captcha','https://www.google.com/recaptcha/api.js');
     wp_enqueue_script( 'captcha_quivers',plugin_dir_url(__FILE__) . '/assets/js/captcha.js', true);
   } 
}
add_action( 'wp_footer', 'add_theme_scripts' );

function so_31413975_extra_checkout_fields(){ 
  $checkout = WC()->checkout(); 
?>

  <input type="hidden" id="ip_address" value="<?php echo $_SERVER["REMOTE_ADDR"]; ?>"/>
    <div class="g-recaptcha" data-sitekey="<?php  echo $_SESSION['site_keys']['site_key']?$_SESSION['site_keys']['site_key']:'SITE_KEY_NOT_THERE'?>" data-badge="inline" data-size="invisible" data-callback="setResponse"></div>
    <?php 
    
 }
add_action( 'woocommerce_checkout_before_order_review' ,'so_31413975_extra_checkout_fields' );

add_filter( 'woocommerce_order_button_html', 'custom_order_button_html');
function custom_order_button_html( $button ) {
    // HERE your Javascript Event
    // HERE you make changes (Replacing the code of the button):
    $button = '<input  class="button alt" type="button"  onClick="captchasubmit();" name="woocommerce_checkout_place_order" id="place_order" value="Place order" style="padding-bottom: 35px;">';
    return $button;
}

  ?>